Issue #5873 has been reported by Heesob Park.

----------------------------------------
Feature #5873: Adopt FFI over DL
https://bugs.ruby-lang.org/issues/5873

Author: Heesob Park
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 


Please adopt ffi internally in the place of dl.

I know there were many discussions about FFI and DL.
And the main problem is the libffi building issue on mswin32 and mswin64 compilers.

Now things have changed.
I forked Ruby FFI and made a modified for mswin32/64 compilers(https://github.com/phasis68/ffi)
I verified it works on Ruby 1.8.7,1.9.3 with mswin32/VC9,mswin32/VC10 and mswin64/VC10.

Regards,

Park Heesob


-- 
http://bugs.ruby-lang.org/